Bug 442481 - Nautilus Sound preview works for .mp3's, but not for Vorbis .ogg's/.FLAC's [NEEDINFO]
Nautilus Sound preview works for .mp3's, but not for Vorbis .ogg's/.FLAC's
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gstreamer (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-14 21:27 EDT by Gian Paolo Mureddu
Modified: 2009-01-09 01:23 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:23:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bnocera: needinfo? (gmureddu)


Attachments (Terms of Use)

  None (edit)
Description Gian Paolo Mureddu 2008-04-14 21:27:55 EDT
Description of problem:
Nautilus' Sound Preview works perfectly fine with audio files encoded in the
proprietary .mp3 format, but fails to preview files encoded with the free Vorbis
codec and encapsulated into .ogg files. Same for FLAC files. Wav files play also
fine.

Looking at what application is the one responsible for actually providing
Nautilus with sound preview using Pavucontrol, I saw that this was gst-launcher,
which is part of the gstreamer package, as such I marked this bug against
Gstreamer and not Nautilus as such, as Gstreamer is the one providing the
backend support. Since I have installed the GStreamer-Plugins-Ugly package for
the necessary .mp3 format support, I imagine that is the reason why .mp3's and
.wav's are previewed, but not so .ogg's and FLACs. Since Totem can perfectly
playback ogg files and FLAC files, I'd assume that the gstreamer plugin for
handling these is already installed, only not used by gst-launcher or for some
reason not parsed to gst-launcher for preview.

Version-Release number of selected component (if applicable):
nautilus-2.20.0-9.fc8
gstreamer-0.10.15-1.fc8

How reproducible:
Always

Steps to Reproduce:
1. Head to /usr/share/sounds in Nautilus and hover the mouse over the many .wav
and .ogg files there.
2. Create or download a legal .mp3, install the plugins so gstreamer can handle
it (fluendo) and hover the mouse over the file in Nautilus, the file should be
previewed just fine.
  
Actual results:
Sound Preview in Nautilus doesn't work for .ogg or .flac files.

Expected results:
Sound Preview to work with these file formats as well as it does with .wav on
default settings. Kind of dissapointing to see this "just work" with .mp3's ;-)
Comment 1 Gian Paolo Mureddu 2008-04-15 01:09:48 EDT
Forgot to mention that this happens in Fedora 8 x86_64
Comment 2 Bastien Nocera 2008-05-19 05:56:55 EDT
Do the files that you expect to be playing back actually have a sound icon
showing up on them when you hover?
Comment 3 Bug Zapper 2008-11-26 05:29:47 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 01:23:17 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.